# Release Notes

## March 27th, 2026 (v2.2.0) <a href="#march-27-2026" id="march-27-2026"></a>

**Module quadbin**

New

* Added a new [quadbin](/data-and-analysis/analytics-toolbox-for-databricks/reference/quadbin.md) module, enabling spatial indexing capabilities natively.

**Module statistics**

New

* Added a new [statistics](/data-and-analysis/analytics-toolbox-for-databricks/reference/statistics.md) module, including spatial statistics functions and procedures.

**Module data**

New

* Added a new [data](/data-and-analysis/analytics-toolbox-for-databricks/reference/data.md) module with data enrichment functions.

**Module lds**

Fix

* Updated [CREATE\_H3\_ISOLINES](/data-and-analysis/analytics-toolbox-for-databricks/reference/lds.md#create_h3_isolines) procedure to fix edge cases that didn't allow preview in workflows.
* Fixed metadata table check in [GEOCODE\_TABLE](/data-and-analysis/analytics-toolbox-for-databricks/reference/lds.md#geocode_table) and [GEOCODE\_REVERSE\_TABLE](/data-and-analysis/analytics-toolbox-for-databricks/reference/lds.md#geocode_reverse_table) procedures.

## December 31st, 2025 (v2.1.0) <a href="#october-24-2022" id="october-24-2022"></a>

**Architecture**

New

* This version corresponds to a new major release that is [installed in the Unity Catalog](/data-and-analysis/analytics-toolbox-for-databricks/getting-access/sql-warehouse.md) and make use exclusively of SQL Warehouse computing resources and native SQL functions from Databricks.
* The previous approach based on Sedona and Spark that was installed at a cluster level has been superseded by this new version.
* Tilesets generated using the deprecated [tiler](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md) module from the previous version will still be compatible with CARTO Maps API.<br>

**Module lds**

New

* A new [lds](/data-and-analysis/analytics-toolbox-for-databricks/reference/lds.md) module is included in this version that contains functions and procedures for Location Data Services functionality such as geocoding, routing and isolines.

## August 25th, 2025 (v1.2.2) <a href="#october-24-2022" id="october-24-2022"></a>

**Module tiler**

New

* Added option `max_categories_limit` that controls the maximum number of categories from string columns included in metadata for every tiler procedure.

Fix

* Fixed an issue with [`CREATE_POINT_AGG_TILESET`](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_point_agg_tileset) procedure that was causing frequent crashes due to a lack of specific repartitions in the tileset creation query.

## July 8th, 2025 (v1.2.1) <a href="#october-24-2022" id="october-24-2022"></a>

**Module lds**

New

* Add a debug parameter to all the procedures in order to improve debugging capabilities.

Fix

* Fixed an error in [CREATE\_ROUTING\_MATRIX](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#create_routing_matrix) that was returning null for not found origin-destination pairs instead of an error.

## June 12th, 2025 (v1.2.0) <a href="#october-24-2022" id="october-24-2022"></a>

**Module lds**

New

* Added [CREATE\_ROUTING\_MATRIX](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#create_routing_matrix) which computes route data between a set of origin and destination points and generates a table adding the distance and time of each pair of values.

## February 18th, 2025 (v1.1.0) <a href="#october-24-2022" id="october-24-2022"></a>

**Module lds**

New

* Added [LDS module](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md), containing: [GEOCODE\_TABLE](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#geocode_table), [GEOCODE\_REVERSE\_TABLE](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#geocode_reverse_table), [CREATE\_ISOLINES](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#create_isolines), [CREATE\_ROUTES](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#create_routes), [GEOCODE](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#geocode), [GEOCODE\_REVERSE](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#geocode_reverse), [ISOLINE](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#isoline) and [GET\_LDS\_QUOTA\_INFO](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/lds.md#get_lds_quota_info).

## January 30th, 2025 (v1.0.1) <a href="#october-24-2022" id="october-24-2022"></a>

**Module tiler**

Fix

* Fixed [CREATE\_POINT\_AGG\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_point_agg_tileset), [CREATE\_H3\_AGG\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_h3_agg_tileset), and [CREATE\_QUADBIN\_AGG\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_quadbin_agg_tileset) procedures returning an error unless `extra_metadata` is added.

## October 31st, 2024 (v1.0.0) <a href="#october-24-2022" id="october-24-2022"></a>

**Module tiler**

New

* Added [tiler](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md) module that contains fuctions to create different types of tilesets:
  * [CREATE\_VECTOR\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_vector_tileset): Generates a simple feature's tileset from point, lines or polygons geographies.
  * [CREATE\_POINT\_AGG\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_point_agg_tileset): Generates a tileset with aggregated points and properties.
  * [CREATE\_H3\_AGG\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_h3_agg_tileset): Creates a tileset that uses an H3 spatial index, aggregating data from an input table that uses that same spatial index.
  * [CREATE\_QUADBIN\_AGG\_TILESET](/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy/tiler.md#create_quadbin_agg_tileset): Creates a tileset that uses a quadbin spatial index, aggregating data from an input table that uses that same spatial index.

**Apache Sedona**

New

* The CARTO Analytics Toolbox includes all functions from [Apache Sedona 1.5.1](https://sedona.apache.org/1.5.1/api/sql/Overview/). These functions are available with the prefix `sedona_` like:\
  `SELECT sedona_ST_Point(double(1.2345), 2.3456)`

***

{% hint style="danger" %}
**Deprecation notice**

The release notes below make reference to an older version of the CARTO Analytics Toolbox for Databricks. That version is deprecated and the functions included in it are not maintained anymore.
{% endhint %}

## October 24, 2022 <a href="#october-24-2022" id="october-24-2022"></a>

### **Tiler**

Feature

* Add tilestats generation to H3 Tiler

## October 19, 2022 <a href="#october-19-2022" id="october-19-2022"></a>

### **All modules**

Feature

* Tasks to build installation packages

Improvement

* Versioning uses YYYY.MM.DD format based on date now

## October 10, 2022 <a href="#october-10-2022" id="october-10-2022"></a>

### **Tiler**

Feature

* Add H3 Tiler

## September 21, 2022 <a href="#september-21-2022" id="september-21-2022"></a>

### **All modules**

Feature

* Add VERSION\_CORE function

### **Accessors**

Improvement

* Change type returned by ST\_X and ST\_Y to Double

### **All modules**

Feature

* Add VERSION\_ADVANCED function

## September 20, 2022 <a href="#september-20-2022" id="september-20-2022"></a>

### **All modules**

Improvement

* Set default compression codec to snappy

## September 16, 2022 <a href="#september-16-2022" id="september-16-2022"></a>

### **All modules**

Feature

* Add headers to functions that didn’t have
* Add make rule to publis artifact in local and sonatype
* Add make rule to check and create headers

Improvement

* change makefiles and sbt file to prepare the at advance

### **Module parsers**

**Fixed**

* Fix the parser tests that had old user function names

### **All modules**

Feature

* Add structure for databricks in AT advanced repo
* Add make rules
* Add CI/CD workflows

## September 15, 2022 <a href="#september-15-2022" id="september-15-2022"></a>

### **All modules**

Improvement

* The XY precission of the TWKBWriter is set to 5.

### **Module formatters**

Fix

* Fix the doc of the transformers functions ST\_ASLATLONTEXT and ST\_ASTEXT.

## September 6, 2022 <a href="#september-6-2022" id="september-6-2022"></a>

### **Module accessors**

Fix

* Fix the bug in ST\_COORDDIM that was adding z coordinate to geometries.

### **Module indexing**

Fix

* Fix the cast ClassCastException in ST\_GEOMREPROJECT.

## September 1, 2022 <a href="#september-1-2022" id="september-1-2022"></a>

### **All modules**

Improvement

* Refactor databricks cloud to adapt it to the new cloud structure

## August 29, 2022 <a href="#august-29-2022" id="august-29-2022"></a>

### **Module indexing**

Feature

* Add ST\_CRSFROMTEXT function.
* Add ST\_EXTENTFROMGEOM function.
* Add ST\_EXTENTTOGEOM function.
* Add ST\_GEOMREPROJECT function.
* Add ST\_MAKEEXTENT function.
* Add ST\_PARTITIONCENTROID function.
* Add ST\_Z2LATLON function.

### **Module formatters**

Feature

* Add ST\_ASTWKB function.

### **Module parsers**

Feature

* Add ST\_GEOMFROMWKT function.

### **Module predicates**

Feature

* Add ST\_COVERS function.

### **Module transformations**

Feature

* Add ST\_BUFFERPOINT function.
* Add ST\_DIFFERENCE function.
* Add ST\_SIMPLIFY function.

## August 19, 2022 <a href="#august-19-2022" id="august-19-2022"></a>

### **Module accessors**

Feature

* Add ST\_COORDDIM function.
* Add ST\_DIMENSION function.
* Add ST\_ENVELOPE function.
* Add ST\_GEOMETRYN function.
* Add ST\_ISCLOSED function.
* Add ST\_ISCOLLECTION function.
* Add ST\_ISEMPTY function.
* Add ST\_ISGEOMFIELD function.
* Add ST\_ISRING function.
* Add ST\_ISSIMPLE function.
* Add ST\_ISVALID function.
* Add ST\_NUMGEOMETRIES function.
* Add ST\_NUMPOINTS function.
* Add ST\_POINTN function.
* Add ST\_Y function.
* Add ST\_X function.

### **Module constructors**

Feature

* Add ST\_MAKEBBOX function.
* Add ST\_MAKEBOX2D function.
* Add ST\_MAKELINE function.
* Add ST\_MAKEPOINT function.
* Add ST\_MAKEPOINTM function.
* Add ST\_MAKEPOLYGON function.
* Add ST\_POINT function.

### **Module formatters**

Feature

* Add ST\_ASBINARY function.
* Add ST\_ASGEOHASH function.
* Add ST\_ASGEOJSON function.
* Add ST\_ASLATLONTEXT function.
* Add ST\_ASTEXT function.
* Add ST\_BYTEARRAY function.
* Add ST\_CASTTOGEOMETRY function.
* Add ST\_CASTTOLINESTRING function.
* Add ST\_CASTTOPOINT function.
* Add ST\_CASTTOPOLYGON function.

### **Module measurements**

Feature

* Add ST\_AREA function.
* Add ST\_DISTANCE function.
* Add ST\_DISTANCESPHERE function.
* Add ST\_LENGTH function.
* Add ST\_LENGTHSPHERE function.

### **Module parsers**

Feature

* Add ST\_BOX2DFROMGEOHASH function.
* Add ST\_GEOMETRYFROMTEXT function.
* Add ST\_GEOMFROMGEOHASH function.
* Add ST\_GEOMFROMGEOJSON function.
* Add ST\_GEOMFROMWKB function.
* Add ST\_GEOMFROMWKT function.
* Add ST\_LINEFROMTEXT function.
* Add ST\_MLINEFROMTEXT function.
* Add ST\_MPOINTFROMTEXT function.
* Add ST\_MPOLYFROMTEXT function.
* Add ST\_POINTFROMGEOHASH function.
* Add ST\_POINTFROMTEXT function.
* Add ST\_POINTFROMWKB function.
* Add ST\_POLYGONFROMTEXT function.

### **Module predicates**

Feature

* Add ST\_CONTAINS function.
* Add ST\_CROSSES function.
* Add ST\_DISJOINT function.
* Add ST\_EQUALS function.
* Add ST\_INTERSECTS function.
* Add ST\_OVERLAPS function.
* Add ST\_RELATE function.
* Add ST\_RELATEBOOL function.
* Add ST\_TOUCHES function.
* Add ST\_WITHIN function.

### **Module transformations**

Feature

* Add ST\_ANTIMERIDIANSAFEGEOM function.
* Add ST\_BOUNDARY function.
* Add ST\_CENTROID function.
* Add ST\_CLOSESTPOINT function.
* Add ST\_CONVEXHULL function.
* Add ST\_EXTERIORRING function.
* Add ST\_IDLSAFEGEOM function.
* Add ST\_INTERIORRINGN function.
* Add ST\_INTERSECTION function.
* Add ST\_TRANSLATE function.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carto.com/data-and-analysis/analytics-toolbox-for-databricks/release-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
